> For the complete documentation index, see [llms.txt](https://developer.siteminder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.siteminder.com/direct-booking-api/reference/properties.md).

# Properties

Returns a paginated list of properties in your group-level API key.

**Note:** This endpoint is only available for group-level keys. If you are integrating for a single property, use `GET /properties/{propertyUuid}` directly.&#x20;

{% hint style="info" %}
**API:** Direct Booking · **Operation:** Properties · **Direction:** SM → Property · **Method:** Pull (Property-initiated)
{% endhint %}

## List properties

> Retrieves the \`uuid\` and \`name\` for every property you have access to.<br>

```json
{"openapi":"3.1.0","info":{"title":"Direct Booking API","version":"0.0.1"},"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-sm-api-key","in":"header"}},"parameters":{"apiKey":{"name":"x-sm-api-key","in":"header","schema":{"type":"string"},"required":true,"description":"API key used to authenticate the request."},"page":{"in":"query","name":"page","description":"page number (defaults to 1)","schema":{"type":"integer","default":1,"minimum":1}},"perPage":{"in":"query","name":"perPage","description":"items per page (defaults to 10)","schema":{"type":"integer","default":10,"minimum":1,"maximum":50}}},"schemas":{"PaginatedPropertySummaryList":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","additionalProperties":false,"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/PropertySummary"}}},"required":["results"]}]},"Pagination":{"type":"object","additionalProperties":false,"properties":{"page":{"description":"page number","type":"integer"},"perPage":{"description":"number of records per page","type":"integer"},"total":{"description":"total number of records","type":"integer"},"totalPages":{"description":"total number of pages","type":"integer"}},"required":["page","perPage","total","totalPages"]},"PropertySummary":{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string","description":"Unique identifier for the property in the SiteMinder Direct Booking product."},"name":{"type":"string","description":"The property name as it appears in the SiteMinder Direct Booking product."}},"required":["uuid","name"]}},"responses":{"BadRequest":{"description":"Bad Request","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"$ref":"#/components/responses/NotFound/headers/X-SM-TRACE-TOKEN/schema"}}},"content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound/content/application~1json/schema"}}}},"NotFound":{"description":"The specified resource was not found","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"type":"string","description":"Character string with length 1 to 36 and with uuid format","minLength":1,"maxLength":36,"format":"uuid"}}},"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["message","name"],"properties":{"message":{"type":"string"},"name":{"type":"string"},"meta":{"type":"object","description":"Error metadata"}}}}}}}}},"NotAuthorised":{"description":"Not Authorised","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"$ref":"#/components/responses/NotFound/headers/X-SM-TRACE-TOKEN/schema"}}},"content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound/content/application~1json/schema"}}}},"AccessDenied":{"description":"Access Denied","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"$ref":"#/components/responses/NotFound/headers/X-SM-TRACE-TOKEN/schema"}}},"content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound/content/application~1json/schema"}}}},"RateLimited":{"description":"Rate Limited","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"$ref":"#/components/responses/NotFound/headers/X-SM-TRACE-TOKEN/schema"}}},"content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound/content/application~1json/schema"}}}},"InternalServerError":{"description":"Internal Server Error","headers":{"X-SM-TRACE-TOKEN":{"description":"SiteMinder trace token","schema":{"$ref":"#/components/responses/NotFound/headers/X-SM-TRACE-TOKEN/schema"}}},"content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound/content/application~1json/schema"}}}}}},"paths":{"/properties":{"get":{"summary":"List properties","description":"Retrieves the `uuid` and `name` for every property you have access to.\n","operationId":"listProperties","tags":["property:read"],"parameters":[{"$ref":"#/components/parameters/apiKey"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/perPage"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedPropertySummaryList"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/NotAuthorised"},"403":{"$ref":"#/components/responses/AccessDenied"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimited"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.siteminder.com/direct-booking-api/reference/properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
